## percona-pgaudit 1.4.2

=== Makefile ===
# contrib/pg_audit/Makefile

MODULE_big = pgaudit
OBJS = pgaudit.o $(WIN32RES)

EXTENSION = pgaudit
DATA = pgaudit--1.4.2.sql pgaudit--1.4--1.4.1.sql pgaudit--1.4.1--1.4.2.sql
PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"

REGRESS = pgaudit
REGRESS_OPTS = --temp-config=$(top_srcdir)/contrib/pgaudit/pgaudit.conf

ifdef USE_PGXS
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
else
subdir = contrib/pgaudit
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
endif

## percona-pgaudit 1.4.0

=== debian/changelog ===
percona-pgaudit (1.4.0-2) unstable; urgency=medium

  * Update to new pgaudit version 1.4.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 14 May 2020 02:07:18 +0000

percona-pgaudit (1.4.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 14 May 2020 02:07:18 +0000

=== debian/control ===
Source: percona-pgaudit
Section: database
Priority: optional
Maintainer: Percona Development Team <info@percona.com>
Build-Depends:
 debhelper (>= 9),
 libkrb5-dev,
 libssl-dev,
 percona-postgresql-server-dev-all (>= 153~),
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/postgresql/pgaudit
Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git
Homepage: http://pgaudit.org/

Package: percona-postgresql-11-pgaudit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11 (>= 11.9) | percona-postgresql-11 (>= 11.9)
Provides: pgaudit, postgresql-11-pgaudit
Description: PostgreSQL Audit Extension
 The pgAudit extension provides detailed session and/or object audit logging
 via the standard PostgreSQL logging facility.
 .
 The goal of pgAudit is to provide PostgreSQL users with capability to produce
 audit logs often required to comply with government, financial, or ISO
 certifications.
 .
 An audit is an official inspection of an individual's or organization's
 accounts, typically by an independent body. The information gathered by
 pgAudit is properly called an audit trail or audit log.

## percona-pgaudit 1.4.1

=== debian/changelog ===
percona-pgaudit (1.4.1-2) unstable; urgency=medium

  * Update to new pgaudit version 1.4.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Thu, 03 Dec 2020 20:01:11 +0000

percona-pgaudit (1.4.1-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 03 Dec 2020 20:01:11 +0000

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v percona-postgresql-%v-pgaudit

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v
	rm -rf regression.diffs regression.out results

%:
	dh $@

## percona-pgaudit 1.4.2

=== debian/changelog ===
percona-pgaudit (1.4.2-1) unstable; urgency=medium

  * Update to new pgaudit version 1.4.2

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Sat, 26 Mar 2022 12:46:04 +0000

percona-pgaudit (1.4.2-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sat, 26 Mar 2022 12:46:04 +0000

## percona-pgaudit 1.4.3

=== debian/changelog ===
percona-pgaudit (1.4.3-8) unstable; urgency=medium

  * Update to new pgaudit version 1.4.3

 -- root <root@a25d6113e0f4>  Wed, 27 Nov 2024 08:53:09 +0000

percona-pgaudit (1.4.3-8) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 27 Nov 2024 08:53:09 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git
 Homepage: http://pgaudit.org/
 
-Package: percona-postgresql-11-pgaudit
+Package: percona-postgresql-12-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-11 (>= 11.9) | percona-postgresql-11 (>= 11.9)
-Provides: pgaudit, postgresql-11-pgaudit
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12 (>= 12.5) | percona-postgresql-12 (>= 12.5)
+Provides: pgaudit, postgresql-12-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging
  via the standard PostgreSQL logging facility.

## percona-pgaudit 1.5.0

=== debian/changelog ===
percona-pgaudit (1.5.0-1) unstable; urgency=medium

  * Update to new pgaudit version 1.5.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 13 Oct 2020 09:32:28 +0000

percona-pgaudit (1.5.0-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 13 Oct 2020 09:32:28 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-#include /usr/share/postgresql-common/pgxs_debian_control.mk
+include /usr/share/postgresql-common/pgxs_debian_control.mk
 
 override_dh_auto_build:
 	+pg_buildext build build-%v
@@ -20,4 +20,3 @@
 
 %:
 	dh $@
-

## percona-pgaudit 1.5.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS = pgaudit.o $(WIN32RES)
 
 EXTENSION = pgaudit
-DATA = pgaudit--1.4.2.sql pgaudit--1.4--1.4.1.sql pgaudit--1.4.1--1.4.2.sql
+DATA = pgaudit--1.5.1.sql pgaudit--1.5--1.5.1.sql
 PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"
 
 REGRESS = pgaudit

=== debian/changelog ===
percona-pgaudit (1.5.1-1) unstable; urgency=medium

  * Update to new pgaudit version 1.5.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Tue, 15 Mar 2022 13:17:26 +0000

percona-pgaudit (1.5.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 15 Mar 2022 13:17:26 +0000

=== debian/rules ===
--- 
+++ 
@@ -20,3 +20,4 @@
 
 %:
 	dh $@
+

## percona-pgaudit 1.5.2

=== debian/changelog ===
percona-pgaudit (1.5.2-8) unstable; urgency=medium

  * Update to new pgaudit version 1.5.2

 -- root <root@2ed486778165>  Wed, 27 Nov 2024 08:02:34 +0000

percona-pgaudit (1.5.2-8) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 27 Nov 2024 08:02:34 +0000

## percona-pgaudit 1.5.3

=== debian/changelog ===
percona-pgaudit (1.5.3-1) unstable; urgency=medium

  * Update to new pgaudit version 1.5.3

 -- root <root@99fb452aeec7>  Thu, 22 May 2025 14:03:56 +0000

percona-pgaudit (1.5.3-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Thu, 22 May 2025 14:03:56 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git
 Homepage: http://pgaudit.org/
 
-Package: percona-postgresql-12-pgaudit
+Package: percona-postgresql-13-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-12 (>= 12.5) | percona-postgresql-12 (>= 12.5)
-Provides: pgaudit, postgresql-12-pgaudit
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13 (>= 13.0) | percona-postgresql-13 (>= 13.0)
+Provides: pgaudit, postgresql-13-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging
  via the standard PostgreSQL logging facility.

## percona-pgaudit 1.6.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS = pgaudit.o $(WIN32RES)
 
 EXTENSION = pgaudit
-DATA = pgaudit--1.5.1.sql pgaudit--1.5--1.5.1.sql
+DATA = pgaudit--1.6.sql
 PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"
 
 REGRESS = pgaudit

=== debian/changelog ===
percona-pgaudit (1.6.0-2) unstable; urgency=medium

  * Update to new pgaudit version 1.6.0

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Wed, 17 Nov 2021 03:51:45 +0000

percona-pgaudit (1.6.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 17 Nov 2021 03:51:45 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git
 Homepage: http://pgaudit.org/
 
-Package: percona-postgresql-13-pgaudit
+Package: percona-postgresql-14-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-13 (>= 13.0) | percona-postgresql-13 (>= 13.0)
-Provides: pgaudit, postgresql-13-pgaudit
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14 (>= 14.1) | percona-postgresql-14 (>= 14.1)
+Provides: pgaudit, postgresql-14-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging
  via the standard PostgreSQL logging facility.

## percona-pgaudit 1.6.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS = pgaudit.o $(WIN32RES)
 
 EXTENSION = pgaudit
-DATA = pgaudit--1.6.sql
+DATA = pgaudit--1.6.2.sql pgaudit--1.6--1.6.1.sql pgaudit--1.6.1--1.6.2.sql
 PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"
 
 REGRESS = pgaudit

=== debian/changelog ===
percona-pgaudit (1.6.1-1) unstable; urgency=medium

  * Update to new pgaudit version 1.6.1

 -- ubuntu-cloud-user <evgeniy.patlan@percona.com>  Fri, 11 Mar 2022 08:31:40 +0000

percona-pgaudit (1.6.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 11 Mar 2022 08:31:40 +0000

## percona-pgaudit 1.6.2

=== debian/changelog ===
percona-pgaudit (1.6.2-8) unstable; urgency=medium

  * Update to new pgaudit version 1.6.2

 -- root <root@d2ffd227edfb>  Wed, 27 Nov 2024 07:34:50 +0000

percona-pgaudit (1.6.2-8) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 27 Nov 2024 07:34:50 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: percona-postgresql-14-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14 (>= 14.1) | percona-postgresql-14 (>= 14.1)
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14 (>= 14.17) | percona-postgresql-14 (>= 14.17)
 Provides: pgaudit, postgresql-14-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging

## percona-pgaudit 1.6.3

=== debian/changelog ===
percona-pgaudit (1.6.3-1) unstable; urgency=medium

  * Update to new pgaudit version 1.6.3

 -- root <root@7e927d0fdfc1>  Wed, 20 Aug 2025 13:19:08 +0000

percona-pgaudit (1.6.3-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 20 Aug 2025 13:19:08 +0000

## percona-pgaudit 1.7.0

=== debian/changelog ===
percona-pgaudit (1.7.0-8) unstable; urgency=medium

  * Update to new pgaudit version 1.7.0

 -- root <root@4800292be382>  Fri, 22 Nov 2024 07:34:55 +0000

percona-pgaudit (1.7.0-8) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 22 Nov 2024 07:34:55 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git
 Homepage: http://pgaudit.org/
 
-Package: percona-postgresql-14-pgaudit
+Package: percona-postgresql-15-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-14 (>= 14.17) | percona-postgresql-14 (>= 14.17)
-Provides: pgaudit, postgresql-14-pgaudit
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15 (>= 15.10) | percona-postgresql-15 (>= 15.10)
+Provides: pgaudit, postgresql-15-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging
  via the standard PostgreSQL logging facility.

## percona-pgaudit 1.7.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS = pgaudit.o $(WIN32RES)
 
 EXTENSION = pgaudit
-DATA = pgaudit--1.6.2.sql pgaudit--1.6--1.6.1.sql pgaudit--1.6.1--1.6.2.sql
+DATA = pgaudit--1.7.1.sql pgaudit--1.7--1.7.1.sql
 PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"
 
 REGRESS = pgaudit
@@ -20,3 +20,5 @@
 include $(top_builddir)/src/Makefile.global
 include $(top_srcdir)/contrib/contrib-global.mk
 endif
+
+EXTRA_INSTALL += contrib/pg_stat_statements

=== debian/changelog ===
percona-pgaudit (1.7.1-1) unstable; urgency=medium

  * Update to new pgaudit version 1.7.1

 -- root <root@cff17b0fbf8f>  Tue, 19 Aug 2025 08:45:46 +0000

percona-pgaudit (1.7.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 19 Aug 2025 08:45:45 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: percona-postgresql-15-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15 (>= 15.10) | percona-postgresql-15 (>= 15.10)
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15 (>= 15.13) | percona-postgresql-15 (>= 15.13)
 Provides: pgaudit, postgresql-15-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging

## percona-pgaudit 16.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS = pgaudit.o $(WIN32RES)
 
 EXTENSION = pgaudit
-DATA = pgaudit--1.7.1.sql pgaudit--1.7--1.7.1.sql
+DATA = pgaudit--16.1.sql pgaudit--16.0--16.1.sql
 PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"
 
 REGRESS = pgaudit

=== debian/changelog ===
percona-pgaudit (16.0-2) unstable; urgency=medium

  * Update to new pgaudit version 16.0

 -- root <root@1caf29e12207>  Sun, 11 May 2025 12:35:57 +0000

percona-pgaudit (16.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Sun, 11 May 2025 12:35:56 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git
 Homepage: http://pgaudit.org/
 
-Package: percona-postgresql-15-pgaudit
+Package: percona-postgresql-16-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-15 (>= 15.13) | percona-postgresql-15 (>= 15.13)
-Provides: pgaudit, postgresql-15-pgaudit
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-16 (>= 16.8) | percona-postgresql-16 (>= 16.8)
+Provides: pgaudit, postgresql-16-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging
  via the standard PostgreSQL logging facility.

## percona-pgaudit 16.1

=== debian/changelog ===
percona-pgaudit (16.1-1) unstable; urgency=medium

  * Update to new pgaudit version 16.1

 -- root <root@5543af9338e3>  Fri, 22 Aug 2025 06:17:32 +0000

percona-pgaudit (16.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Fri, 22 Aug 2025 06:17:32 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: percona-postgresql-16-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-16 (>= 16.8) | percona-postgresql-16 (>= 16.8)
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-16 (>= 16.10) | percona-postgresql-16 (>= 16.10)
 Provides: pgaudit, postgresql-16-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging

=== debian/watch ===
version=4
opts=uversionmangle=s/beta/~beta/;s/rc/~rc/ \
https://github.com/pgaudit/pgaudit/tags .*/(16.*).tar.gz

## percona-pgaudit 17.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 OBJS = pgaudit.o $(WIN32RES)
 
 EXTENSION = pgaudit
-DATA = pgaudit--16.1.sql pgaudit--16.0--16.1.sql
+DATA = pgaudit--17.0.sql
 PGFILEDESC = "pgAudit - An audit logging extension for PostgreSQL"
 
 REGRESS = pgaudit

=== debian/changelog ===
percona-pgaudit (17.0-2) unstable; urgency=medium

  * Update to new pgaudit version 17.0

 -- root <root@45070104bc7b>  Tue, 10 Dec 2024 13:24:39 +0000

percona-pgaudit (17.0-2) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Tue, 10 Dec 2024 13:24:39 +0000

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 Vcs-Git: https://salsa.debian.org/postgresql/pgaudit.git
 Homepage: http://pgaudit.org/
 
-Package: percona-postgresql-16-pgaudit
+Package: percona-postgresql-17-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-16 (>= 16.10) | percona-postgresql-16 (>= 16.10)
-Provides: pgaudit, postgresql-16-pgaudit
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-17 (>= 17.2) | percona-postgresql-17 (>= 17.2)
+Provides: pgaudit, postgresql-17-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging
  via the standard PostgreSQL logging facility.

=== debian/watch ===
version=4
opts=uversionmangle=s/beta/~beta/ \
https://github.com/pgaudit/pgaudit/tags .*/(17.*).tar.gz

## percona-pgaudit 17.1

=== debian/changelog ===
percona-pgaudit (17.1-1) unstable; urgency=medium

  * Update to new pgaudit version 17.1

 -- root <root@69a4a4da12ae>  Wed, 19 Mar 2025 11:05:34 +0000

percona-pgaudit (17.1-1) unstable; urgency=low
  * Initial Release.
 -- EvgeniyPatlan <evgeniy.patlan@percona.com> Wed, 19 Mar 2025 11:05:34 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 
 Package: percona-postgresql-17-pgaudit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-17 (>= 17.2) | percona-postgresql-17 (>= 17.2)
+Depends: ${misc:Depends}, ${shlibs:Depends}, postgresql-17 (>= 17.5) | percona-postgresql-17 (>= 17.5)
 Provides: pgaudit, postgresql-17-pgaudit
 Description: PostgreSQL Audit Extension
  The pgAudit extension provides detailed session and/or object audit logging

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,5 @@
 %:
 	dh $@
 
+override_dh_builddeb:
+	dh_builddeb -- -Zgzip
